Skip to main content
GET
cURL

Query Parameters

filter
string

String filter condition, like “name LIKE ‘my-model-name’”. Interpreted in the backend automatically as “name LIKE ‘%my-model-name%’”. Single boolean condition, with string values wrapped in single quotes.

max_results
integer<int64>

Max number of results to include in response. Defaults to 100.

order_by
string[]

List of columns for ordering search results, which can include model name and last updated timestamp with an optional “DESC” or “ASC” annotation, where “ASC” is the default. Tiebreaks are done by model name ASC.

page_token
string

Pagination token to go to the next page based on a previous search query. Note: This may by broken in mlflow 2.2.2

Response

Registered Model

registered_models
object[]

Registered models that match the search criteria.

next_page_token
string

Pagination token to request the next page of models.